bool octreeVoxelOccupied(uvec3 index, uint level) {
    uvec2 voxelIndex    = getVoxelIndex((index >> level) << level);

    level      += 1;

    return (texelFetch(shadowcolor1, ivec2(voxelIndex), 0).r * 64.0) < level;
}
bool octreeVoxelOccupied(ivec3 index, int level) {
    ivec2 voxelIndex    = getVoxelIndex((index >> level) << level);

    level      += 1;

    return (texelFetch(shadowcolor1, ivec2(voxelIndex), 0).r * 64.0) < level;
}
bool octreeVoxelOccupied(vec3 index, int level) {
    return octreeVoxelOccupied(ivec3(index), level);
}