int remapShapeID(int mcEntity) {        // Eight Bits
    int blockID     = 0;

    if (mcEntity == 1031
     || mcEntity == 1050
     || mcEntity == 1051
     || mcEntity == 1041) blockID = 1;  // Bottom Slabs
    if (mcEntity == 1032) blockID = 2;  // Top Slabs

    if (mcEntity == 1030) blockID = 3;  // Pressure Plates

    if (mcEntity == 1033) blockID = 4;  // Carpets
    
    if (mcEntity == 1020
     || mcEntity == 1021
     || mcEntity == 1022) blockID = 10; // Torch-esque

    if (mcEntity == 1060) blockID = 20; // End Rod Up-Down
    if (mcEntity == 1061) blockID = 21; // End Rod East-West
    if (mcEntity == 1062) blockID = 22; // End Rod North-South

    if (mcEntity == 1034) blockID = 23; // Trapdoor Bottom
    if (mcEntity == 1035) blockID = 24; // Door East Closed
    if (mcEntity == 1036) blockID = 25; // Door West Closed
    if (mcEntity == 1037) blockID = 26; // Door South Closed
    if (mcEntity == 1038) blockID = 27; // Door North Closed
    if (mcEntity == 1039) blockID = 28; // Trapdoor Top

    return blockID;
}

int remapEmissionID(int mcEntity) {     // Eight Bits
    int blockID     = 0;

    /* Albedo Tinted Emission */
    if (mcEntity == 1000) blockID = 1;  // Bright Block Emitters

    if (mcEntity == 1001
     || mcEntity == 1041) blockID = 2;  // Medium Block Emitters

    if (mcEntity == 1002) blockID = 3;  // Dim Block Emitters

    /* Hardcoded Emission Types */
    if (mcEntity == 1020) blockID = 10;  // Torchlight
    if (mcEntity == 1021) blockID = 11;  // Redstone Torch
    if (mcEntity == 1022
     || mcEntity == 1051) blockID = 12;  // Soullight
    if (mcEntity == 1050) blockID = 13;  // Fire
    if (mcEntity == 1060
     || mcEntity == 1061
     || mcEntity == 1062) blockID = 14;  // End Rod

    return blockID;
}